const std = @import("std");
const r = @import("raylib.zig");

pub fn main() anyerror!void {
    r.InitWindow(800, 450, "doggo");
    defer r.CloseWindow();

    // var selected_filename: [512]u8 = undefined;
    var file_dialog_state = r.InitGuiFileDialog(420, 310, r.GetWorkingDirectory(), false);

    while (!r.WindowShouldClose()) {
        // Update
        if (file_dialog_state.SelectFilePressed) {
            std.log.info("{s} / {s}", .{ file_dialog_state.dirPathText, file_dialog_state.fileNameText });
        }

        // Draw
        r.BeginDrawing();
        defer r.EndDrawing();

        r.ClearBackground(r.RAYWHITE);
        r.DrawText("Congrats! You created your first window!", 190, 200, 20, r.LIGHTGRAY);

        if (file_dialog_state.fileDialogActive) {
            r.GuiLock();
        }

        if (r.GuiButton(r.Rectangle{ .x = 190, .y = 250, .width = 150, .height = 30 }, "Button")) {
            std.log.info("Button pressed", .{});
            file_dialog_state.fileDialogActive = true;
        }
        r.GuiUnlock();

        r.GuiFileDialog(&file_dialog_state);
    }
}

test "basic test" {
    try std.testing.expectEqual(10, 3 + 7);
}
